Bug 22602 - sendmail: Cannot exec /bin/mail.local: No such file or directory
sendmail: Cannot exec /bin/mail.local: No such file or directory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Need Real Name
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-20 15:18 EST by Jaroslaw Sosnicki
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 13:34:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2000-12-20 15:18:46 EST
Sendmail is reporting error in /var/log/maillog that cannot 
exec /bin/mail.local see copy of the log file below

...
Dec 17 04:05:15 ns1 sendmail[19847]: eBHB5Fw19847: from=root, size=408, 
class=0, nrcpts=1, msgid=<200012171105.eBHB5Fw19847@ns1.slavko.net>, 
relay=root@localhost
Dec 17 04:05:16 ns1 sendmail[19848]: eBHB5Fw19847: SYSERR(mail): Cannot 
exec /bin/mail.local: No such file or directory
Dec 17 04:05:16 ns1 sendmail[19847]: eBHB5Fw19847: to=root, ctladdr=root 
(0/0),delay=00:00:01, xdelay=00:00:00, mailer=local, pri=30408, dsn=4.0.0, 
stat=Operating system error
Dec 18 04:02:02 ns1 sendmail[6602]: eBIB22C06602: from=root, size=163, 
class=0,nrcpts=1, msgid=<200012181102.eBIB22C06602@ns1.slavko.net>, 
relay=root@localhost
Dec 18 04:02:02 ns1 sendmail[6609]: eBIB22C06602: SYSERR(mail): Cannot 
exec /bin/mail.local: No such file or directory
Dec 18 04:02:02 ns1 sendmail[6608]: eBIB22C06602: to=root, ctladdr=root 
(0/0), delay=00:00:00, xdelay=00:00:00, mailer=local, pri=30163, 
dsn=4.0.0, stat=Operating system error
...
Comment 1 Jaroslaw Sosnicki 2000-12-21 13:34:14 EST
I added the folowing link to get around the problem
cd /bin
ln -s /usr/bin/mail.local mail.local
Comment 2 Florian La Roche 2001-01-04 09:52:39 EST
Our default configuration uses procmail for local mail delivery.
mail.local is provided by kdenetworks and used (maybe) by kmail
for local delivery.

Should anyway stay in /usr/bin for that purpose, I might rethink
this if we a new rpm package for mail.local. (Only having it in
the sendmail package will also break things.)

Note You need to log in before you can comment on or make changes to this bug.